Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.exchange
Class ExchangeRuntimeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.compoze.util.NestedRuntimeException
                      com.compoze.exchange.ExchangeRuntimeException

All Implemented Interfaces:
  java.io.Serializable

public class ExchangeRuntimeException
extends NestedRuntimeException

This class is an exception that wraps any exceptions thrown in Exchange.

See Also:
  Serialized Form

Constructor Summary
`ExchangeRuntimeException()` Constructor.
`ExchangeRuntimeException(java.lang.Exception e)` Constructor.
`ExchangeRuntimeException(java.lang.Exception e, java.lang.String sMessage)` Constructor.
`ExchangeRuntimeException(java.lang.String sMessage)` Constructor.
`ExchangeRuntimeException(java.lang.Throwable t)` Constructor.
`ExchangeRuntimeException(java.lang.Throwable t, java.lang.String sMessage)` Constructor.

Methods inherited from class com.compoze.util.NestedRuntimeException
`getNestedRuntimeException, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExchangeRuntimeException

    public ExchangeRuntimeException()

  Constructor.

### ExchangeRuntimeException

    public ExchangeRuntimeException(java.lang.String sMessage)

  Constructor.

Parameters:
  `sMessage` - a detail message for the exception

### ExchangeRuntimeException

    public ExchangeRuntimeException(java.lang.Exception e)

  Constructor.

Parameters:
  `e` - the underlying exception

### ExchangeRuntimeException

    public ExchangeRuntimeException(java.lang.Exception e,
                                    java.lang.String sMessage)

  Constructor.

Parameters:
  `e` - the underlying exception
  `sMessage` - a detail message for the exception

### ExchangeRuntimeException

    public ExchangeRuntimeException(java.lang.Throwable t)

  Constructor.

Parameters:
  `t` - the underlying throwable

### ExchangeRuntimeException

    public ExchangeRuntimeException(java.lang.Throwable t,
                                    java.lang.String sMessage)

  Constructor.

Parameters:
  `t` - the underlying throwable
  `sMessage` - a detail message for the exception

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.